import uvicorn
from interface.api.app import app
from interface.api.config import settings

if __name__ == "__main__":
    uvicorn.run(
        "interface.api.app:app",
        host=settings.API_HOST,
        port=settings.API_PORT,
        reload=settings.API_RELOAD,
        log_level=settings.LOG_LEVEL.lower(),
    )
